<div class="main-content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="header">
            <h4 class="title">Liste personne</h4>
            <!-- <p class="category">Here is a subtitle for this table</p> -->
          </div>
          <div class="center">
          <div class="content table-responsive table-full-width">
           
            <div class="search-div">

              <button (click)="AjouterPersonne()" mat-raised-button class="colorbutton">
                <mat-icon>add</mat-icon>
              </button>

              <mat-form-field class="search-form-field" floatLabel="never">
                <mat-label>Recherche</mat-label>
                <input matInput (keyup)="applyFilter($event)" [(ngModel)]="value">
                <button *ngIf="value" mat-button matSuffix mat-icon-button aria-label="Clear" (click)="value=''">
                  <mat-icon>close</mat-icon>
                </button>
              </mat-form-field>
            </div>
          
              <table mat-table [dataSource]="dataSource" style="width: 100%;" class="mat-elevation-z8" matSort>

                <!--- Note that these columns can be defined in any order.
                              The actual rendered columns are set as a property on the row definition" -->

                <!-- Position Column -->
                <ng-container matColumnDef="nom">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Nom</th>
                  <td mat-cell *matCellDef="let element"> {{element.nom}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="prenom">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> prenom </th>
                  <td mat-cell *matCellDef="let element"> {{element.prenom}} </td>
                </ng-container>

                <!-- Weight Column -->
                <ng-container matColumnDef="matricule">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> matricule </th>
                  <td mat-cell *matCellDef="let element"> {{element.matricule}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="phone">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> phone </th>
                  <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="cin">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> cin </th>
                  <td mat-cell *matCellDef="let element"> {{element.cin}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="cnss">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> cnss </th>
                  <td mat-cell *matCellDef="let element"> {{element.cnss}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="dateNaissance">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> dateNaissance </th>
                  <td mat-cell *matCellDef="let element"> {{element.dateNaissance}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="situation">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> situation </th>
                  <td mat-cell *matCellDef="let element"> {{element.situation}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="ville">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> ville </th>
                  <td mat-cell *matCellDef="let element"> {{element.ville}} </td>
                </ng-container>


                <!-- Symbol Column -->
                <ng-container matColumnDef="adresse">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> adresse </th>
                  <td mat-cell *matCellDef="let element"> {{element.adresse}} </td>
                </ng-container>

                <!-- Symbol Column -->
                <ng-container matColumnDef="nombreEnfant">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> nombreEnfant </th>
                  <td mat-cell *matCellDef="let element"> {{element.nombreEnfant}} </td>
                </ng-container>
                <!-- Symbol Column -->
                <ng-container matColumnDef="dateEmbauche">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> dateEmbauche </th>
                  <td mat-cell *matCellDef="let element"> {{element.dateEmbauche}} </td>
                </ng-container>
                <!-- Symbol Column -->
                <ng-container matColumnDef="dateArret">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> dateArret </th>
                  <td mat-cell *matCellDef="let element"> {{element.dateArret}} </td>
                </ng-container>
                <!-- Symbol Column -->
                <ng-container matColumnDef="Badge">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Badge </th>
                  <td mat-cell *matCellDef="let element"> {{element.idbadge}} </td>
                </ng-container>

                <ng-container matColumnDef="Actions">
                  <th mat-header-cell *matHeaderCellDef> Actions</th>
                  <td mat-cell *matCellDef="let element">

                    <button (click)="consulterpesage(element.id)" style="color: rgba(23, 45, 241, 0.534);" mat-button>
                      <i class="material-icons">perm_contact_calendar</i>                                 
                    </button>

                    <button (click)="opendialogModifier(element)" style="color: green;" mat-button>
                      <i class="material-icons">create </i>
                    </button>


                    <button (click)="Supprimerpersonne(element.id)" style="color: rgb(224, 22, 15);" mat-button>
                      <i class="material-icons">delete</i>
                    </button>

                    <button (click)="Ajouterpesage(element)" style="color: rgba(157, 241, 23, 0.534);" mat-button>
                      <i class="material-icons">add</i>                                 
                    </button>

                  </td>
                </ng-container>

                <ng-container matColumnDef="loading">
                  <mat-footer-cell *matFooterCellDef colspan="6">
                    loading data...
                  </mat-footer-cell>
                </ng-container>

                <ng-container matColumnDef="nodata">
                  <mat-footer-cell *matFooterCellDef colspan="6">
                    No data!!
                  </mat-footer-cell>
                </ng-container>

                <mat-footer-row *matFooterRowDef="['loading']" [ngClass]="{'hide':dataSource!=null}">
                </mat-footer-row>


                <mat-footer-row *matFooterRowDef="['nodata']"
                  [ngClass]="{'hide':!(dataSource!=null && dataSource.data.length==0)}">
                </mat-footer-row>



                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

              </table>

              <mat-paginator [pageSize]="10" showFirstLastButtons [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>


            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
</div>